// OutOfBandMessage.cc

#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#include "Message.h"
#include "Int32Message.h"
#include "OutOfBandMessage.h"

DLList* OutOfBandMessage::pFreeList = 0;

int32 OutOfBandMessage:: toBuffer(char **buffer) const
{
    int32 nbytes;

    nbytes = Int32Message::toBuffer(buffer);
    return(nbytes);
}

int32 OutOfBandMessage:: fromBuffer(const char **buffer)
{
    int32 nbytes=0;

    nbytes = Int32Message::fromBuffer(buffer);
    return(nbytes);
}

int32 OutOfBandMessage:: fromBufferSwitch(const char **buffer)
{
    int32 nbytes=0;

    nbytes = Int32Message::fromBufferSwitch(buffer);
    return(nbytes);
}

void OutOfBandMessage:: print() const
{
    Int32Message::print();
}

void *OutOfBandMessage:: operator new(size_t size)
{
    if(size==sizeof(OutOfBandMessage)) return MPF:: allocate(&pFreeList,size);
    printf("OutOfBandMessage new size !=sizeof(OutOfBandMessage)\n");
    return(0);
}
 
void OutOfBandMessage:: operator delete(void *p, size_t size)
{
    if(size==sizeof(OutOfBandMessage)) {
	MPF::free(pFreeList,p,size);
	return;
    }
    printf("OutOfBandMessage delete size !=sizeof(OutOfBandMessage)\n");
}
